#pragma once
#include "afxwin.h"


// CMenuImageManager_Dlg 对话框
class CChildView;

class CMenuImageManager_Dlg : public CDialogEx
{
	DECLARE_DYNAMIC(CMenuImageManager_Dlg)

public:
	CMenuImageManager_Dlg(CWnd* pParent = NULL);   // 标准构造函数
	void SetFileParent(CChildView*);
	virtual ~CMenuImageManager_Dlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOG_IMAGE };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedPicBtn();
	virtual BOOL OnInitDialog();
	CListCtrl m_file_list;
	afx_msg void OnBnClickedOk();

private:
	CChildView * m_pParent;
public:
	afx_msg void OnNMDblclkListFile(NMHDR *pNMHDR, LRESULT *pResult);
};
